GXml.Node – GXml-0.20 Reference Manual

# Node

## Object Hierarchy:

## Description:

public class Node : Object, DomEventTarget, DomNode

A DOM4 implementation of DomNode, for one step parsing.

This object avoids pre and post XML parsing, by using a one step parsing to translate text XML tree to an GObject based tree.

All known sub-classes:

- Attr
- CharacterData
- Comment
- Document
- DocumentFragment
- DocumentType
- Element
- HtmlDocument
- HtmlElement
- ProcessingInstruction
- Text
- XsdAnnotation
- XsdAttribute
- XsdAttributeGroup
- XsdBaseAttribute

- XsdBaseContent
- XsdBaseType
- XsdComplexContent
- XsdComplexType
- XsdElement
- XsdExtension
- XsdOpenContent
- XsdSchema
- XsdSimpleContent
- XsdSimpleType
- XsdTypeDefinition
- XsdTypeList
- XsdTypeRestriction
- XsdTypeRestrictionAssertion
- XsdTypeRestrictionDef

- XsdTypeRestrictionEnumeration
- XsdTypeRestrictionExplicitTimezone
- XsdTypeRestrictionFractionDigits
- XsdTypeRestrictionLength
- XsdTypeRestrictionMaxExclusive
- XsdTypeRestrictionMaxInclusive
- XsdTypeRestrictionMaxLength
- XsdTypeRestrictionMinExclusive
- XsdTypeRestrictionMinInclusive
- XsdTypeRestrictionMinLength
- XsdTypeRestrictionPattern
- XsdTypeRestrictionTotalDigits
- XsdTypeRestrictionWhiteSpace
- XsdTypeUnion

Namespace: GXml
Package: GXml-0.20

## Content:

### Properties:

- public string? base_uri { get; }
- public DomNodeList child_nodes { owned get; }
- public DomNode? first_child { owned get; }
- public DomNode? last_child { owned get; }
- public DomNode? next_sibling { owned get; }
- public string node_name { owned get; }
- public NodeType node_type { get; }
- public string? node_value { owned get; set; }
- public DomDocument? owner_document { get; set construct; }
- public DomElement? parent_element { owned get; }
- public DomNode? parent_node { owned get; }
- public DomNode? previous_sibling { owned get; }
- public string? text_content { owned get; set; }

### Creation methods:

- public Node ()

### Methods:

- public void add_event_listener (string type, DomEventListener? callback, bool capture = false)
- public DomNode append_child (DomNode node) throws Error
- public DocumentPosition compare_document_position (DomNode other)
- public bool contains (DomNode? other)
- public bool dispatch_event (DomEvent event)
- public bool has_child_nodes ()
- public DomNode insert_before (DomNode node, DomNode? child) throws Error
- public bool is_default_namespace (string? nspace)
- public bool is_equal_node (DomNode? node)
- public string? lookup_namespace_uri (string? prefix)
- public string? lookup_prefix (string? nspace)
- public void normalize ()
- public DomNode remove_child (DomNode child) throws Error
- public void remove_event_listener (string type, DomEventListener? callback, bool capture = false)
- public DomNode replace_child (DomNode node, DomNode child) throws Error

### Fields:

- protected string _base_uri
  Use this field to set node's base URI. Can be set at construction time.
- protected NodeList _child_nodes
  Use this field to set node's child nodes. Derived classes should avoid to modify it.
- protected DomDocument _document
- protected string _local_name
  Use this field to set node's local name. Can be set at construction time.
- protected NodeType _node_type
  Use this field to set node's Type. Derived classes should avoid to modify it.
- protected string _node_value
  Use this field to hold node's value. Can be set at construction time.
- protected DomNode _parent
  Use this field to holding node's parent node. Derived classes should avoid to modify it.
- protected string _prefix
  Use this field to set node's prefix. Can be set at construction time.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GXml.DomEventTarget

- add_event_listener

- dispatch_event

- remove_event_listener

All known members inherited from interface GXml.DomNode

- append_child
- base_uri
- child_nodes
- compare_document_position
- contains
- copy
- first_child
- has_child_nodes
- insert_before

- is_default_namespace
- is_equal_node
- last_child
- lookup_namespace_uri
- lookup_prefix
- next_sibling
- node_name
- node_type
- node_value

- normalize
- owner_document
- parent_element
- parent_node
- previous_sibling
- remove_child
- replace_child
- text_content